%%
%% This is file 'ecit2022.cls', created for the book of abstracts 
%% of the '23rd European Conference on Iteration Theory'.
%%
%% This file was created by Peter Raith in 2021.
%%
%% --------------------------------------------------
%%
%% It may be distributed and/or modified under the conditions of 
%% the LaTeX Project Public License, either version 1.3c of this 
%% license or (at your option) any later version.
%% The latest version of this license is in
%%    https://www.latex-project.org/lppl.txt
%% and version 1.3c or later is part of all distributions of LaTeX
%% version 2008 or later.
%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ecit2022}[2021/05/01]
\DeclareOption{10pt}{\PassOptionsToClass{\CurrentOption}{article}}
\DeclareOption{11pt}{\PassOptionsToClass{\CurrentOption}{article}}
\DeclareOption{12pt}{\PassOptionsToClass{\CurrentOption}{article}}
\DeclareOption{a5paper}{\PassOptionsToClass{\CurrentOption}{article}%
\expandafter\xdef\csname opt@typearea.sty\endcsname{\CurrentOption}}
\DeclareOption{a4paper}{\PassOptionsToClass{\CurrentOption}{article}%
\expandafter\xdef\csname opt@typearea.sty\endcsname{\CurrentOption}}
\DeclareOption{letterpaper}{\PassOptionsToClass{\CurrentOption}{article}%
\expandafter\xdef\csname opt@typearea.sty\endcsname{\CurrentOption}}
\DeclareOption{leqno}{\PassOptionsToClass{\CurrentOption}{article}%
\PassOptionsToPackage{\CurrentOption}{amsmath}}
\DeclareOption{draft}{\PassOptionsToClass{\CurrentOption}{article}}
\DeclareOption{twoside}{\PassOptionsToClass{\CurrentOption}{article}}
\DeclareOption{oneside}{\PassOptionsToClass{\CurrentOption}{article}}
\DeclareOption{nopagenumber}{\AtBeginDocument{\pagestyle{empty}}}
\DeclareOption*{\ClassWarning{ecit2022}{Option '\CurrentOption' is unknown to 'ecit2022.cls'.}}
\ExecuteOptions{10pt,a5paper,leqno,twoside}
\ProcessOptions\relax
\LoadClass{article}
\RequirePackage[utf8]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage[british]{babel}
\RequirePackage[DIV=10,headinclude=true,footinclude=false]{typearea}
\RequirePackage{graphicx}
\RequirePackage{amsmath}
\RequirePackage{amssymb}
\RequirePackage{amsthm}
\RequirePackage[usenames,dvipsnames]{xcolor}
\RequirePackage{tikz}
\RequirePackage{enumitem}
\RequirePackage{textcomp}
\RequirePackage{eurosym}
\RequirePackage{microtype}
\DeclareUnicodeCharacter{20AC}{{\euro}}
\newlength{\aux@length}
\settoheight{\aux@length}{\parbox[t]{\textwidth}{\includegraphics[width=\textwidth]{ecit2022-logo.pdf}}}
\KOMAoptions{headheight=\the\aux@length,DIV=last}
\gdef\ps@plain{\let\@mkboth\@gobbletwo
  \def\@oddhead{\parbox[t]{\textwidth}{\includegraphics[width=\textwidth]{ecit2022-logo.pdf}}}%
  \def\@oddfoot{\reset@font\hfil\thepage\hfil}%
  \def\@evenhead{\parbox[t]{\textwidth}{\includegraphics[width=\textwidth]{ecit2022-logo.pdf}}}%
  \let\@evenfoot\@oddfoot}
\gdef\ps@empty{\let\@mkboth\@gobbletwo
  \def\@oddhead{\parbox[t]{\textwidth}{\includegraphics[width=\textwidth]{ecit2022-logo.pdf}}}%
  \def\@oddfoot{\hfil}%
  \def\@evenhead{\parbox[t]{\textwidth}{\includegraphics[width=\textwidth]{ecit2022-logo.pdf}}}%
  \let\@evenfoot\@oddfoot}
\gdef\ps@completelyempty{\let\@mkboth\@gobbletwo
  \def\@oddhead{\hfil}\def\@oddfoot{\hfil}\def\@evenhead{\hfil}\let\@evenfoot\@oddfoot}
\def\not@to@toc{notoc}\def\add@to@toc{toc}%
\newif\if@star@section\@star@sectionfalse
\newif\if@to@toc@section\@to@toc@sectiontrue
\def\@startsection#1#2#3#4#5#6{\ifnum #2>\c@tocdepth\relax\@to@toc@sectionfalse\else
    \@to@toc@sectiontrue\fi\@ifstar
  {\@star@sectiontrue\@ifnextchar[{\@startsection@with@option{#1}{#2}{#3}{#4}{#5}{#6}}
    {\@start@section{#1}{#2}{#3}{#4}{#5}{#6}}}
  {\@star@sectionfalse\@ifnextchar[{\@startsection@with@option{#1}{#2}{#3}{#4}{#5}{#6}}
    {\@start@section{#1}{#2}{#3}{#4}{#5}{#6}}}}
\def\@startsection@with@option#1#2#3#4#5#6[#7]{\def\aux@val{#7}\ifx\aux@val\not@to@toc\relax
  \@to@toc@sectionfalse\def\aux@startsec{@startsection@cancel@option}\else
    \ifx\aux@val\add@to@toc\relax\@to@toc@sectiontrue
      \def\aux@startsec{@startsection@cancel@option}\else
      \def\aux@startsec{@start@section}
    \fi\fi\expandafter\csname\aux@startsec\endcsname{#1}{#2}{#3}{#4}{#5}{#6}[#7]}
\def\@startsection@cancel@option#1#2#3#4#5#6[#7]{\@ifnextchar[%
  {\@startsection@with@option{#1}{#2}{#3}{#4}{#5}{#6}}
  {\@start@section{#1}{#2}{#3}{#4}{#5}{#6}}}
\def\@start@section#1#2#3#4#5#6{\if@noskipsec\leavevmode\fi\par
  \@tempskipa #4\relax
  \@afterindenttrue
  \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi
  \if@nobreak\everypar{}\else\addpenalty\@secpenalty\addvspace\@tempskipa\fi
  \@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}
\def\@sect#1#2#3#4#5#6[#7]#8{\ifnum #2>\c@secnumdepth \let\@svsec\@empty
  \else\if@star@section\let\@svsec\@empty\else
    \refstepcounter{#1}%
      \protected@edef\@svsec{\@seccntformat{#1}\relax}\fi\fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
    \begingroup #6{\@hangfrom{\hskip #3\relax\@svsec}\interlinepenalty \@M #8\@@par}\endgroup
    \csname #1mark\endcsname{#7}\if@to@toc@section
      \addcontentsline{toc}{#1}{\if@star@section\else\ifnum #2>\c@secnumdepth 
          \else\protect\numberline{\csname the#1\endcsname.}\fi\fi #7}\else\fi
  \else\def\@svsechd{#6{\hskip #3\relax\@svsec 
      #8}\csname #1mark\endcsname{#7}\if@to@toc@section
        \addcontentsline{toc}{#1}{\if@star@section\else\ifnum #2>\c@secnumdepth 
          \else\protect\numberline{\csname the#1\endcsname.}\fi\fi #7}\else\fi}\fi
  \@xsect{#5}}
\def\@seccntformat#1{\csname the#1\endcsname.\quad}
\if@twoside
  \def\ps@headings{\let\@oddfoot\@empty\let\@evenfoot\@empty
      \def\@evenhead{\thepage\hfil\slshape\leftmark}%
      \def\@oddhead{{\slshape\rightmark}\hfil\thepage}\let\@mkboth\markboth
    \def\sectionmark##1{\markboth{\MakeUppercase{\ifnum \c@secnumdepth >\z@
          \@svsec\fi ##1}}{}}%
    \def\subsectionmark##1{\markright{\ifnum \c@secnumdepth >\@ne
          \@svsec\fi ##1}}}\else
  \def\ps@headings{\let\@oddfoot\@empty
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}\let\@mkboth\markboth
    \def\sectionmark##1{\markright{\MakeUppercase{\ifnum \c@secnumdepth >\m@ne
          \@svsec\fi ##1}}}}\fi
\def\ps@originalplain{\let\@mkboth\@gobbletwo
  \let\@oddhead\@empty\def\@oddfoot{\reset@font\hfil\thepage
  \hfil}\let\@evenhead\@empty\let\@evenfoot\@oddfoot}
\renewcommand\section{\@startsection{section}{1}{\z@}{5ex \@plus 3ex \@minus 0.3ex}{2.5ex 
\@plus 0.3ex \@minus 0.1ex}{\centering\normalfont\Large\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}{4.5ex \@plus 2ex \@minus 
0.3ex}{2.5ex \@plus 0.3ex \@minus 0.1ex}{\centering\normalfont\large\bfseries}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}{3.5ex \@plus 1ex \@minus 
0.2ex}{2ex \@plus 0.2ex \@minus 0.1ex}{\centering\normalfont\normalsize\bfseries}}
\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}{3ex \@plus 1ex \@minus 
0.2ex}{-1em}{\normalfont\normalsize\bfseries}}
\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\z@}{1ex \@plus 0.4ex \@minus 
0.1ex}{-1em}{\normalfont\normalsize\scshape}}
\setlength{\abovedisplayskip}{1.4ex plus 0.3ex minus 0.1ex}%
\setlength{\belowdisplayskip}{1.4ex plus 0.3ex minus 0.1ex}%
\setlength{\abovedisplayshortskip}{0.2ex plus 0.3ex minus 0.1ex}%
\setlength{\belowdisplayshortskip}{0.5ex plus 0.3ex minus 0.1ex}\setlength{\topsep}{0pt}%
\setlist{nosep, leftmargin=*}
\setlist[enumerate,1]{label=\textup{(\arabic*)},ref=\arabic*}
\setlist[enumerate,2]{label=\textup{(\roman*)},ref=\roman*}
\setlist[enumerate,3]{label=\textup{(\alph*)},ref=\alph*}
\setlist[enumerate,4]{label=\textup{(\Alph*)},ref=\Alph*}
\newtheorem{theorem}{Theorem}
\newtheorem*{theorem*}{Theorem}
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem*{proposition*}{Proposition}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem*{lemma*}{Lemma}
\newtheorem{corollary}[theorem]{Corollary}
\newtheorem*{corollary*}{Corollary}
\newtheorem*{maintheorem}{Main Theorem}
\newtheorem{conjecture}{Conjecture}
\newtheorem*{conjecture*}{Conjecture}
\theoremstyle{definition}
\newtheorem{definition}{Definition}
\newtheorem*{definition*}{Definition}
\newtheorem{condition}{Condition}
\newtheorem*{condition*}{Condition}
\newtheorem{property}{Property}
\newtheorem*{property*}{Property}
\newtheorem{example}{Example}
\newtheorem*{example*}{Example}
\theoremstyle{remark}
\newtheorem{remark}{Remark}
\newtheorem*{remark*}{Remark}
\renewenvironment{proof}[1][\proofname]{\par\pushQED{\qed}%
  \normalfont\trivlist\item[\hskip\labelsep\itshape #1\@addpunct{.}]%
  \ignorespaces}{\popQED\endtrivlist\@endpefalse}
\long\def\@caption#1[#2]#3{\par\addcontentsline{\csname ext@#1\endcsname}{#1}%
    {\protect\numberline
    {\csname #1name\endcsname\nobreakspace\csname the#1\endcsname.}{\ignorespaces #2}}%
  \begingroup\@parboxrestore\if@minipage\@setminipage\fi
    \footnotesize\@makecaption{\textbf{\csname fnum@#1\endcsname.}}{\ignorespaces #3}\par\endgroup}
\long\def\@makecaption#1#2{\vskip\abovecaptionskip\sbox\@tempboxa{#1\space #2}%
  \ifdim \wd\@tempboxa >\hsize #1\space #2\par\else
    \global\@minipagefalse \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}\fi
  \vskip\belowcaptionskip}
\AtBeginDocument{\gdef\@title{\ClassError{ecit2022}{No \noexpand\title given}{You 
  must define a \noexpand\title.}}\gdef\@author{\ClassError{ecit2022}{No \noexpand\author 
  given}{You must define a \noexpand\author.}}\gdef\@affil{\ClassError{ecit2022}{No 
  \noexpand\affil given}{You must define a 
  \noexpand\affil.}}\gdef\@country{\ClassError{ecit2022}{No \noexpand\country given}{You 
  must define a \noexpand\country.}}\gdef\@email{\ClassError{ecit2022}{No \noexpand\email 
  given}{You must define a \noexpand\email.}}\setcounter{equation}{0}\setcounter{theorem}{0}%
  \setcounter{definition}{0}\setcounter{example}{0}\setcounter{remark}{0}%
  \setcounter{conjecture}{0}\setcounter{condition}{0}\setcounter{property}{0}}
\renewcommand\tableofcontents{\section*[notoc]{\contentsname}%
  \microtypesetup{protrusion=false}\@starttoc{toc}\microtypesetup{protrusion=true}}
\renewcommand\listoffigures{\section*[toc]{\listfigurename}%
  \microtypesetup{protrusion=false}\@starttoc{lof}\microtypesetup{protrusion=true}}
\renewcommand\listoftables{\section*[toc]{\listtablename}%
  \microtypesetup{protrusion=false}\@starttoc{lot}\microtypesetup{protrusion=true}}
\def\@dottedtocline#1#2#3#4#5{\vskip \z@ \@plus.2\p@
  {\leftskip #2\relax \rightskip \@tocrmarg \parfillskip -\rightskip
   \parindent #2\relax\@afterindenttrue\interlinepenalty\@M\leavevmode
   \@tempdima #3\relax\advance\leftskip \@tempdima \null\nobreak\hskip -\leftskip
   {#4}\nobreak
   \leaders\hbox{$\m@th\mkern \@dotsep mu\hbox{.}\mkern \@dotsep mu$}\hfill
   \nobreak\hb@xt@\@pnumwidth{\hfil\normalfont \normalcolor #5\kern-\p@\kern\p@}\par}}
\newlength\length@figure@name@in@lof\newlength\length@table@name@in@lot
\setlength\length@figure@name@in@lof{5.45em}\setlength\length@table@name@in@lot{5.04em}
\newcommand{\LengthFigureNameInFiguresList}[1]{\setlength\length@figure@name@in@lof{#1}}
\newcommand{\LengthTableNameInTablesList}[1]{\setlength\length@table@name@in@lot{#1}}
\renewcommand*\l@figure{\@dottedtocline{1}{0pt}{\the\length@figure@name@in@lof}}
\renewcommand*\l@table{\@dottedtocline{1}{0pt}{\the\length@table@name@in@lot}}
\DeclareRobustCommand\title[1]{\gdef\@title{#1}}
\DeclareRobustCommand\author[1]{\gdef\@author{#1}}
\DeclareRobustCommand\affil[1]{\gdef\@affil{#1}}
\DeclareRobustCommand\country[1]{\gdef\@country{#1}}
\DeclareRobustCommand\email[1]{\makeatletter\gdef\@email{#1}\makeatother}
\def\aux@empty{}\newcounter{aux@number}\setcounter{aux@number}{0}%
\newcounter{co@author@number}\setcounter{co@author@number}{0}%
\newcommand{\jointwith}[1]{\setcounter{aux@number}{0}%
  \beg@make@co@author\ignorespaces #1,\end@make@co@author}
\def\beg@make@co@author #1,#2\end@make@co@author{\def\aux@val{#2}\stepcounter{aux@number}%
  \expandafter\edef\csname co@author@\expandafter n\roman{aux@number}\endcsname{#1}%
  \ifx\aux@val\aux@empty\relax
  \setcounter{co@author@number}{\theaux@number}\setcounter{aux@number}{0}\else
  \beg@make@co@author\ignorespaces #2\end@make@co@author\fi}
\def\make@co@authors{\bgroup\centering\small (joint work with\make@the@co@authors}
\def\make@the@co@authors{\stepcounter{aux@number}%
  \ifnum\theaux@number=1\relax\space
  \else\ifnum\theaux@number=\theco@author@number\relax\space 
      and\space\else,\space\fi\fi
  \textbf{\csname co@author@\expandafter n\roman{aux@number}\endcsname}%
  \ifnum\theaux@number=\theco@author@number\relax )\par\egroup
  \else\make@the@co@authors\fi}
\renewenvironment{abstract}{\def\@float{\ClassError{ecit2022}{Unallowed 
    float}{Floating environments are not allowed inside the abstract.}}\par
  \addvspace{4.5ex \@plus 2ex \@minus 0.3ex}%
  \par\noindent\begin{minipage}[t]{\the\textwidth}
    {\centering\large\bfseries\ignorespaces\@title\par}%
    \vspace{1ex plus 0.4ex minus 0.1ex}\par\noindent
    {\centering{\bfseries\scshape\ignorespaces\@author}\\
      \ignorespaces\@affil,\space\textsc{\ignorespaces\@country}\\
      E-mail:\space\texttt{\ignorespaces\@email}\par}%
    \ifnum\theco@author@number<1\relax\else
      \vspace{1ex plus 0.4ex minus 0.1ex}\setcounter{aux@number}{0}\par\noindent
      \make@co@authors\par\fi\end{minipage}\par\nobreak
  \addvspace{2.5ex \@plus 0.3ex \@minus 0.1ex}\par
  \let\@svsec\@empty\subsectionmark{\ignorespaces\@author}%
  \addcontentsline{toc}{subsection}{\ignorespaces\@author}\par\nobreak
  \normalfont\normalsize}
  {\par\gdef\@title{\ClassError{ecit2022}{No \noexpand\title given}{You 
    must define a \noexpand\title.}}\gdef\@author{\ClassError{ecit2022}{No 
    \noexpand\author given}{You must define a 
    \noexpand\author.}}\gdef\@affil{\ClassError{ecit2022}{No \noexpand\affil 
    given}{You must define a 
    \noexpand\affil.}}\gdef\@country{\ClassError{ecit2022}{No \noexpand\country 
    given}{You must define a 
    \noexpand\country.}}\gdef\@email{\ClassError{ecit2022}{No \noexpand\email 
    given}{You must define a \noexpand\email.}}%
    \setcounter{aux@number}{0}\setcounter{co@author@number}{0}%
    \setcounter{equation}{0}\setcounter{theorem}{0}\setcounter{definition}{0}%
    \setcounter{example}{0}\setcounter{remark}{0}\setcounter{conjecture}{0}%
    \setcounter{condition}{0}\setcounter{property}{0}%
    \addvspace{4.5ex \@plus 2ex \@minus 0.3ex}}
\renewenvironment{thebibliography}[1]{\subparagraph*[notoc]{\refname}%
  \list{\@biblabel{\@arabic\c@enumiv}}{\settowidth\labelwidth{\@biblabel{#1}}%
  \setlength{\topsep}{0pt}\setlength{\partopsep}{0pt}%
  \setlength{\itemsep}{0pt}\setlength{\parsep}{0pt}\setlength{\parskip}{0pt}%
  \setlength{\rightmargin}{0pt}\setlength{\itemindent}{0pt}%
  \leftmargin\labelwidth\advance\leftmargin\labelsep\@openbib@code
  \usecounter{enumiv}\let\p@enumiv\@empty
  \renewcommand\theenumiv{\@arabic\c@enumiv}}%
  \sloppy\clubpenalty4000\@clubpenalty \clubpenalty\widowpenalty4000%
  \sfcode`\.\@m}{\def\@noitemerr{\@latex@warning{Empty `thebibliography' 
  environment}}\endlist}
\renewenvironment{theindex}{\if@twocolumn\@restonecolfalse\else\@restonecoltrue\fi
  \twocolumn[\section*[toc]{\indexname}]\thispagestyle{plain}\parindent\z@
    \parskip\z@ \@plus .3\p@\relax \columnseprule \z@ \columnsep 35\p@
    \let\item\@idxitem}
  {\if@restonecol\onecolumn\else\clearpage\fi}
\pagestyle{plain}
\endinput